Loading...
Searching...
No Matches
vkd3d_shader_signature_element Struct Reference

A single shader varying, returned as part of struct vkd3d_shader_signature. More...

`#include <vkd3d_shader.h>`

## Data Fields

const char * | semantic_name
| Semantic name.
unsigned int | semantic_index
| Semantic index, or 0 if the semantic is not indexed.
unsigned int | stream_index
| Stream index of a geometry shader output semantic.
enum vkd3d_shader_sysval_semantic | sysval_semantic
| System value semantic.
enum vkd3d_shader_component_type | component_type
| Data type.
unsigned int | register_index
| Register index.
unsigned int | mask
| Mask of the register components allocated to this varying.
unsigned int | used_mask
| Subset of mask which the shader reads from or writes to.
enum vkd3d_shader_minimum_precision | min_precision
| Minimum interpolation precision.

## Detailed Description

A single shader varying, returned as part of struct vkd3d_shader_signature.

## Field Documentation

## stream_index

unsigned int vkd3d_shader_signature_element::stream_index

Stream index of a geometry shader output semantic.

If the signature is not a geometry shader output signature, this field will be set to 0.

## sysval_semantic

enum vkd3d_shader_sysval_semantic vkd3d_shader_signature_element::sysval_semantic

System value semantic.

If the varying is not a system value, this field will be set to VKD3D_SHADER_SV_NONE.

## used_mask

unsigned int vkd3d_shader_signature_element::used_mask

Subset of mask which the shader reads from or writes to.

Unlike Direct3D shader bytecode, the mask for output and tessellation signatures is not inverted, i.e. bits set in this field denote components which are written to.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h